Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.common.Constants Class Reference

Global Constants. More...

## Public Member Functions
synchronized void | delete ()
| Clean up related C++ resources immediately. More...

## Static Public Attributes
static final int | e_AlignmentCenter = 1
| Center alignment.
static final int | e_AlignmentLeft = 0
| Left alignment.
static final int | e_AlignmentRight = 2
| Right alignment.
static final int | e_ColorSpaceCalGray = 4
| Color space: CalGray. (1 component, A)
static final int | e_ColorSpaceCalRGB = 5
| Color space: CalRGB. (3 components, A, B, C)
static final int | e_ColorSpaceDeviceCMYK = 3
| Color space: DeviceCMYK. (4 components, C, M, Y, K)
static final int | e_ColorSpaceDeviceGray = 1
| Color space: DeviceGray. (1 component, gray)
static final int | e_ColorSpaceDeviceN = 9
| Color space: DeviceN.
static final int | e_ColorSpaceDeviceRGB = 2
| Color space: DeviceRGB. (3 components, R, G, B)
static final int | e_ColorSpaceICCBased = 7
| Color space: ICCBased.
static final int | e_ColorSpaceICCBasedDeviceCMYK = 14
| Color space: ICCBased DeviceCMYK. (4 components, C, M, Y, K)
static final int | e_ColorSpaceICCBasedDeviceGray = 12
| Color space: ICCBased DeviceGray. (1 component, gray)
static final int | e_ColorSpaceICCBasedDeviceRGB = 13
| Color space: ICCBased DeviceRGB. (3 components, R, G, B)
static final int | e_ColorSpaceIndexed = 10
| Color space: Indexed.
static final int | e_ColorSpaceInvalid = 0
| Color space: Invalid.
static final int | e_ColorSpaceLab = 6
| Color space: Lab. (3 components, A, B, C)
static final int | e_ColorSpacePattern = 11
| Color space: Pattern.
static final int | e_ColorSpaceSeparation = 8
| Color space: Separation.
static final int | e_ErrCanNotConnectToServer = 23
| (For ConnectedPDF only) Cannot connect to ConnectedPDF server.
static final int | e_ErrCanNotGetACL = 29
| (For ConnectedPDF only) Cannot get the ACL from ConnectedPDF server.
static final int | e_ErrCanNotGetClientID = 36
| (For ConnectedPDF only) Cannot get client ID from ConnectedPDF server.
static final int | e_ErrCanNotGetUserToken = 37
| (For ConnectedPDF only) Cannot get user token from ConnectedPDF server.
static final int | e_ErrCanNotRemoveSecurityFromServer = 28
| (For ConnectedPDF only) Cannot remove the security from ConnectedPDF server.
static final int | e_ErrCanNotSetACL = 30
| (For ConnectedPDF only) Cannot set the ACL to ConnectedPDF server.
static final int | e_ErrCanNotUploadCDRMInfo = 34
| (For ConnectedPDF only) Cannot upload ConnectedPDF DRM document info to ConnectedPDF server.
static final int | e_ErrCanNotUploadDocInfo = 33
| (For ConnectedPDF only) Cannot upload ConnectedPDF document info to ConnectedPDF server.
static final int | e_ErrCertificate = 5
| Certificate error: PDF document is encrypted by digital certificate but current user does not have the correct certificate.
static final int | e_ErrComplianceEngineInitFailed = 46
| (For compliance only) Fail to initialize compliance engine.
static final int | e_ErrComplianceEngineInvalidUnlockCode = 45
| (For compliance only) Invalid unlock code is used to initialize compliance engine.
static final int | e_ErrComplianceEngineNotInit = 44
| (For compliance only) Compliance engine has not been initialized successfully.
static final int | e_ErrComplianceResourceFile = 55
| (For compliance only) Compliance resource file(s) cannot be found or opened. Please check if compliance resource folder and files in this folder are valid.
static final int | e_ErrConflict = 15
| New data conflicts with existed data.
static final int | e_ErrDataNotReady = 17
| Data is not ready. Usually this is used as an exception error code when loading document in asynchronous way.
static final int | e_ErrDefaultTimeStampServer = 57
| Cannot use current default time stamp server. Please check if default time stamp server can be used.
static final int | e_ErrDeviceLimitation = 27
| (For ConnectedPDF only) Current device is limited to open the ConnectedPDF DRM document.
static final int | e_ErrDiskFull = 41
| (For OCR only) Not enough disk space.
static final int | e_ErrExcelHasNoContent = 69
| (For Excel-to-PDF conversion only) Excel document does not have any content so it cannot be converted to PDF file.
static final int | e_ErrFile = 1
| File cannot be found or could not be opened.
static final int | e_ErrFilePathNotExist = 43
| File or folder path does not exist.
static final int | e_ErrFormat = 2
| Format is invalid. For files, this may also mean that file is corrupted.
static final int | e_ErrFXOCREngineNotInit = 94
| (For FXOCR only) FXOCR Engine has not been initialized successfully.
static final int | e_ErrHandle = 4
| Error handle.
static final int | e_ErrInvalidACL = 38
| (For ConnectedPDF only) Input ACL is invalid.
static final int | e_ErrInvalidClientID = 39
| (For ConnectedPDF only) Input client ID is invalid.
static final int | e_ErrInvalidData = 18
| Data of current object is invalid.
static final int | e_ErrInvalidLicense = 7
| Invalid license is used to initialize Foxit PDF SDK library.
static final int | e_ErrInvalidRegex = 83
| Invalid regular expression.
static final int | e_ErrInvalidState = 21
| Invalid or incorrect state.
static final int | e_ErrInvalidType = 14
| The type of input object or current object is invalid.
static final int | e_ErrInvalidUserToken = 24
| (For ConnectedPDF only) Input user token is invalid.
static final int | e_ErrInvalidWrapper = 35
| (For ConnectedPDF only) The input ConnectedPDF DRM wrapper document is invalid.
static final int | e_ErrIsAlreadyCDRM = 32
| (For ConnectedPDF only) Loaded document is already a ConnectedPDF DRM document.
static final int | e_ErrIsAlreadyCPDF = 31
| (For ConnectedPDF only) Loaded document is already a ConnectedPDF document.
static final int | e_ErrLibreofficeEngineNotFound = 72
| (For Office-to-PDF conversion only) Libre office engine is not found.
static final int | e_ErrLTVCannotCheckDTS = 51
| (For LTV only) Fail to check DTS.
static final int | e_ErrLTVCannotLoadDSS = 52
| (For LTV only) Fail to load DSS.
static final int | e_ErrLTVCannotLoadDTS = 53
| (For LTV only) Fail to load DTS.
static final int | e_ErrLTVCannotSwitchVersion = 50
| (For LTV only) Fail to switch PDF verion.
static final int | e_ErrLTVRevocationCallbackNotSet = 49
| (For LTV only) Revocation callback for LTV has not been set.
static final int | e_ErrLTVVerifyModeNotSet = 48
| (For LTV only) LTV verify mode has not been set.
static final int | e_ErrMIPCreateProtectionHandlerFailed = 88
| MIP engine: create protection handler failed.
static final int | e_ErrMIPGetExtendedLabelInfoByIdFailed = 89
| MIP engine: get extended label information by id failed.
static final int | e_ErrMIPProtectionEngineInitFailed = 87
| MIP engine: add upe engine failed.
static final int | e_ErrMIPUPEEngineInitFailed = 86
| MIP engine: add upe engine failed.
static final int | e_ErrNeedSigned = 54
| (For signature only) The signature being operated needs to be signed.
static final int | e_ErrNo3DModuleRight = 82
| No "3D" module right.
static final int | e_ErrNoAccessibilityModuleRight = 73
| No "Accessibility" module right.
static final int | e_ErrNoAdvEditModuleRight = 77
| No "AdvEdit" module right.
static final int | e_ErrNoComparisonModuleRight = 63
| No "Comparison" module right.
static final int | e_ErrNoComplianceModuleRight = 64
| No "Compliance" module right.
static final int | e_ErrNoConnectedPDFModuleRight = 58
| No "ConnectedPDF" module right.
static final int | e_ErrNoConversionModuleRight = 66
| No "Conversion" module right.
static final int | e_ErrNoDocumentPermission = 84
| No document permission to operate.
static final int | e_ErrNoDWG2PDFModuleRight = 76
| No "DWG2PDF" module right.
static final int | e_ErrNoImageObject = 93
| (For PDF Optimizer PDF) There are some objects not image type.
static final int | e_ErrNoLayoutRecognitionModuleRight = 70
| No "LayoutRecognition" module right.
static final int | e_ErrNoMicroOfficeInstalled = 68
| (For Office-to-PDF conversion only) No Microsoft Office is installed in current system.
static final int | e_ErrNoOCRModuleRight = 62
| No "OCR" module right.
static final int | e_ErrNoOFDModuleRight = 81
| No "OFD" module right.
static final int | e_ErrNoOffice2PDFModuleRight = 85
| No "Office2PDF" module right.
static final int | e_ErrNoOptimizerModuleRight = 65
| No "Optimizer" module right.
static final int | e_ErrNoPDF2OfficeModuleRight = 78
| No "PDF2Office" module right.
static final int | e_ErrNoPrint2PDFModuleRight = 90
| No "Print2PDF" module right.
static final int | e_ErrNoRedactionModuleRight = 60
| No "Redaction" module right.
static final int | e_ErrNoRights = 25
| (For ConnectedPDF only) Current user has no right to open the ConnectedPDF DRM document.
static final int | e_ErrNoRMSModuleRight = 61
| No "RMS" module right.
static final int | e_ErrNoTableMakerModuleRight = 75
| No "TableMaker" module right.
static final int | e_ErrNotCDRM = 22
| (For ConnectedPDF only) The loaded document is not a ConnectedPDF DRM document.
static final int | e_ErrNotFound = 13
| Expected data or object is not found.
static final int | e_ErrNotLoaded = 20
| Current object has not been loaded yet.
static final int | e_ErrNotParsed = 12
| Content has not been parsed yet. Usually, this represents PDF page has not been parsed yet.
static final int | e_ErrNoXFAModuleRight = 59
| No "XFA" module right.
static final int | e_ErrOCREngineNotInit = 40
| (For OCR only) OCR engine has not been initialized successfully.
static final int | e_ErrOCRTrialIsEnd = 42
| (For OCR only) The trial for OCR module is end.
static final int | e_ErrODAEngineNotFound = 74
| (For DWG-to-PDF conversion only) ODA engine is not found.
static final int | e_ErrOFDEngineNotInit = 80
| (For OFD only) OFD engine has not been initialized successfully.
static final int | e_ErrOfficeComNotInit = 67
| (For Office-to-PDF conversion only) Office COM has not been initialized successfully.
static final int | e_ErrOutOfMemory = 10
| Out-of-memory error occurs.
static final int | e_ErrParam = 8
| Parameter error: value of any input parameter for a function is invalid.
static final int | e_ErrPassword = 3
| Invalid password. Usually, this error may occur when loading a PDF document with password. When meet this, user should load document again with correct password.
static final int | e_ErrResponseDataError = 91
| (For ConnectedPDF only) There is some error in response data.
static final int | e_ErrRightsExpired = 26
| (For ConnectedPDF only) The rights of Current user has expired.
static final int | e_ErrSecurityHandler = 11
| PDF document is encrypted by some unsupported security handler.
static final int | e_ErrSuccess = 0
| Success, and no error occurs.
static final int | e_ErrTimeout = 92
| (For HTML2PDF only)Occuring timeout during loading web page.
static final int | e_ErrTimeStampServerMgrNoDefaltServer = 56
| No default server has been set to time stamp server manager yet.
static final int | e_ErrTimeStampServerMgrNotInit = 47
| Time stamp server manager has not been initialized successfully.
static final int | e_ErrUnknown = 6
| Any unknown error occurs.
static final int | e_ErrUnknownState = 16
| Any unknown state occurs.
static final int | e_ErrUnsupported = 9
| Some types are not supported.
static final int | e_ErrURLInBlackList = 79
| (For converting html to pdf only) The converted URL is on blacklist.
static final int | e_ErrWPSEngineNotFound = 71
| (For Office-to-PDF conversion only) WPS office engine is not found.
static final int | e_ErrXFALoadError = 19
| XFA loading error.
static final int | e_FileFormatTypeFDF = 0
| File format type: FDF.
static final int | e_FileFormatTypeHTML = 2
| File format type: HTML.
static final int | e_FileFormatTypePDF = 6
| File format type: PDF.
static final int | e_FileFormatTypeTXT = 7
| File format type: TXT.
static final int | e_FileFormatTypeXDP = 3
| File format type: XDP.
static final int | e_FileFormatTypeXFD = 5
| File format type: XFD.
static final int | e_FileFormatTypeXFDF = 1
| File format type: XFDF.
static final int | e_FileFormatTypeXML = 4
| File format type: XML.
static final int | e_FillModeAlternate = 1
| Alternate fill mode, in which the system fills this area between odd-numbered and even-numbered polygon sides on each scan line.
static final int | e_FillModeNone = 0
| Fill mode: none.
static final int | e_FillModeWinding = 2
| Winding fill mode, in which the system uses a direction in which a figure is drawn to determine whether to fill an area.
static final int | e_LocaleIDFrance = 4
| Locale ID for country: France.
static final int | e_LocaleIDGermany = 5
| Locale ID for country: Germany.
static final int | e_LocaleIDHongKong = 1
| Locale ID for region: HongKong.
static final int | e_LocaleIDItaly = 6
| Locale ID for country: Italy.
static final int | e_LocaleIDJapan = 8
| Locale ID for country: Japan.
static final int | e_LocaleIDKorea = 7
| Locale ID for country: Korea.
static final int | e_LocaleIDNetherlands = 3
| Locale ID for country: Netherlands.
static final int | e_LocaleIDTaiwan = 2
| Locale ID for region: Taiwan.
static final int | e_LocaleIDUnspecified = 0
| Locale ID: Unspecified, used when locale is not specified.
static final int | e_ModuleName3D = 16
| Name for module "3D".
static final int | e_ModuleNameAccessibility = 11
| Name for module "Accessibility".
static final int | e_ModuleNameAdvEdit = 14
| Name for module "AdvEdit".
static final int | e_ModuleNameComparison = 6
| Name for module "Comparison".
static final int | e_ModuleNameCompliance = 7
| Name for module "Compliance".
static final int | e_ModuleNameConnectedPDF = 1
| (Reserved, currently, this module is not provided) Name for module "ConnectedPDF".
static final int | e_ModuleNameConversion = 9
| Name for module "Conversion".
static final int | e_ModuleNameDWG2PDF = 13
| Name for module "DWG2PDF".
static final int | e_ModuleNameLayoutRecognition = 10
| (Reserved, currently, this module is not provided) Name for module "LayoutRecognition".
static final int | e_ModuleNameOCR = 5
| Name for module "OCR".
static final int | e_ModuleNameOFD = 17
| Name for module "OFD".
static final int | e_ModuleNameOffice2PDF = 18
| Name for module "Office2PDF".
static final int | e_ModuleNameOptimizer = 8
| Name for module "Optimizer".
static final int | e_ModuleNamePDF2Office = 15
| Name for module "PDF2Office".
static final int | e_ModuleNamePrint2PDF = 19
| Name for module "Print2PDF".
static final int | e_ModuleNameRedaction = 3
| Name for module "Redaction".
static final int | e_ModuleNameRMS = 4
| Name for module "RMS".
static final int | e_ModuleNameTableMaker = 12
| Name for module "TableMaker".
static final int | e_ModuleNameXFA = 2
| Name for module "XFA".
static final int | e_PosBottomCenter = 7
| Position: bottom center.
static final int | e_PosBottomLeft = 6
| Position: bottom left.
static final int | e_PosBottomRight = 8
| Position: bottom right.
static final int | e_PosCenter = 4
| Position: center.
static final int | e_PosCenterLeft = 3
| Position center left.
static final int | e_PosCenterRight = 5
| Position: center right.
static final int | e_PosTopCenter = 1
| Position: top center.
static final int | e_PosTopLeft = 0
| Position: top left.
static final int | e_PosTopRight = 2
| Position: top right.
static final int | e_Rotation0 = 0
| No rotation.
static final int | e_Rotation180 = 2
| Rotate 180 degrees in clockwise direction.
static final int | e_Rotation270 = 3
| Rotate 270 degrees in clockwise direction.
static final int | e_Rotation90 = 1
| Rotate 90 degrees in clockwise direction.
static final int | e_RotationPointCenter = 0
| Rotate the text block based on the center point.
static final int | e_RotationPointLeftBottom = 3
| Rotate the text block based on the left-bottom point of the rectangle.
static final int | e_RotationPointLeftTop = 1
| Rotate the text block based on the left-top point of the rectangle.
static final int | e_RotationPointRightBottom = 4
| Rotate the text block based on the right-bottom point of the rectangle.
static final int | e_RotationPointRightTop = 2
| Rotate the text block based on the right-top point of the rectangle.
static final int | e_RotationUnknown = 4
| Unknown rotation.

## Detailed Description

Global Constants.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.common.Constants.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.